ScoredCandidate (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.history.kbest
Class ScoredCandidate

    java.lang.Object
      org.maltparser.parser.history.kbest.Candidate
          org.maltparser.parser.history.kbest.ScoredCandidate

    public class ScoredCandidate

extends Candidate

Since:
  1.1
Author:
  Johan Hall

Field Summary
`protected float` | `score` The candidate score

Fields inherited from class org.maltparser.parser.history.kbest.Candidate
`actionCode`

Constructor Summary
`ScoredCandidate()` Constructs a candidate object

Method Summary
`boolean` | `equals(Object obj)`
`float` | `getScore()` Returns the score for this candidate if it is available, otherwise Double.NaN
`int` | `hashCode()`
`void` | `reset()` Resets the candidate object
`void` | `setScore(Float score)` Sets the score for this candidate.
`String` | `toString()`

Methods inherited from class org.maltparser.parser.history.kbest.Candidate
`getActionCode, setActionCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### score

    protected float score

  The candidate score

Constructor Detail

### ScoredCandidate

    public ScoredCandidate()

  Constructs a candidate object

Method Detail

### getScore

    public float getScore()

  Returns the score for this candidate if it is available, otherwise Double.NaN

  Returns:
    the score for this candidate if it is available, otherwise Double.NaN

### setScore

    public void setScore(Float score)

  Sets the score for this candidate.

  Parameters:
    `score` - a score

### reset

    public void reset()

  Resets the candidate object

  Overrides:
    `reset` in class `Candidate`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Candidate`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Candidate`

### toString

    public String toString()

  Overrides:
    `toString` in class `Candidate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.